extends Node3D

signal trap_triggered(damage: int)

@export var damage: int = 1

func _ready() -> void:
    add_to_group("steppable")

func stepped_on() -> void:
    trap_triggered.emit(damage)
    print("Trap triggered! Dealing ", damage, " damage to the player.")